Opengram

List requests for a chat

GET
/api/v1/chats/{chatId}/requests

Authorization

bearerAuth
AuthorizationBearer <token>

Instance secret token

In: header

Path Parameters

chatId*string

Query Parameters

status?string
Value in"pending" | "resolved" | "cancelled" | "all"

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://loading/api/v1/chats/abc123/requests"
{
  "data": [
    {
      "id": "string",
      "chat_id": "string",
      "type": "choice",
      "status": "pending",
      "title": "string",
      "body": "string",
      "config": {
        "property1": null,
        "property2": null
      },
      "created_at": "2019-08-24T14:15:22Z",
      "resolved_at": "2019-08-24T14:15:22Z",
      "resolved_by": "string",
      "resolution_payload": {
        "property1": null,
        "property2": null
      },
      "trace": {
        "property1": null,
        "property2": null
      }
    }
  ]
}
{
  "error": {
    "code": "VALIDATION_ERROR",
    "message": "Invalid request.",
    "details": null
  }
}
{
  "error": {
    "code": "VALIDATION_ERROR",
    "message": "Invalid request.",
    "details": null
  }
}
{
  "error": {
    "code": "VALIDATION_ERROR",
    "message": "Invalid request.",
    "details": null
  }
}
{
  "error": {
    "code": "VALIDATION_ERROR",
    "message": "Invalid request.",
    "details": null
  }
}